function Munich_map2(data)

addpath SIMfunctions;
addpath MyMatlabData;
K=data.data.K;
R_rec=1000;
b_mode=data.b_mode;
b_quantile=data.b_quantile;
b_mean=data.b_mean;
c_mode=data.c_mode;
c_quantile=data.c_quantile;
c_mean=data.c_mean;
out_b_c=data.out_b+data.out_c;
for i=1:K
  x=sort(out_b_c(:,i));
  [h,f,tt]=density(x);
  b_c_quantile(i,:)=[x(round(R_rec*0.025)),x(round(R_rec*0.05)),x(round(R_rec*0.5)),x(round(R_rec*0.95)),x(round(R_rec*0.975))];
  [maxim,ind]=max(f);
  b_c_mode(i)=tt(ind);
end;
b_c_mean=sum(out_b_c)/R_rec;

figure(20)
subplot(3,3,1)
LOADsim_voll;
colormap(autumn)
for k=1:K
  s=1;
  while POL(s,2*k)~=0
    s=s+1;
  end
  fill(POL(1:s-1,2*k-1),POL(1:s-1,2*k),b_mode(k))
  hold on
end
fill([1500,1501,1501,1500],[0,0,-1,-1],max([max(b_mode),max(b_mean),max(c_mode),max(c_mean),max(b_c_mode),max(b_c_mean)]));
fill([1500,1501,1501,1500],[0,0,1,1],min([min(b_mode),min(b_mean),min(c_mode),min(c_mean),min(b_c_mode),min(b_c_mean)]));
colorbar('vert');
axis([-1600 1100 -800 1400])
set(gca,'XTickLabel',[]);
set(gca,'YTickLabel',[]);
title('mode');

subplot(3,3,2)
LOADsim_voll;
colormap(autumn)
for k=1:K
  s=1;
  while POL(s,2*k)~=0
    s=s+1;
  end
  fill(POL(1:s-1,2*k-1),POL(1:s-1,2*k),b_mean(k))
  hold on
end
fill([1500,1501,1501,1500],[0,0,-1,-1],max([max(b_mode),max(b_mean),max(c_mode),max(c_mean),max(b_c_mode),max(b_c_mean)]));
fill([1500,1501,1501,1500],[0,0,1,1],min([min(b_mode),min(b_mean),min(c_mode),min(c_mean),min(b_c_mode),min(b_c_mean)]));
colorbar('vert');
axis([-1600 1100 -800 1400])
set(gca,'XTickLabel',[]);
set(gca,'YTickLabel',[]);
title('mean')
h = findobj(gcf,'type','axes');

subplot(3,3,4)
LOADsim_voll;
colormap(autumn)
for k=1:K
  s=1;
  while POL(s,2*k)~=0
    s=s+1;
  end
  fill(POL(1:s-1,2*k-1),POL(1:s-1,2*k),c_mode(k))
  hold on
end
fill([1500,1501,1501,1500],[0,0,-1,-1],max([max(b_mode),max(b_mean),max(c_mode),max(c_mean),max(b_c_mode),max(b_c_mean)]));
fill([1500,1501,1501,1500],[0,0,1,1],min([min(b_mode),min(b_mean),min(c_mode),min(c_mean),min(b_c_mode),min(b_c_mean)]));
colorbar('vert');
axis([-1600 1100 -800 1400])
set(gca,'XTickLabel',[]);
set(gca,'YTickLabel',[]);
title('mode')

subplot(3,3,5)
LOADsim_voll;
colormap(autumn)
for k=1:K
  s=1;
  while POL(s,2*k)~=0
    s=s+1;
  end
  fill(POL(1:s-1,2*k-1),POL(1:s-1,2*k),c_mean(k))
  hold on
end
fill([1500,1501,1501,1500],[0,0,-1,-1],max([max(b_mode),max(b_mean),max(c_mode),max(c_mean),max(b_c_mode),max(b_c_mean)]));
fill([1500,1501,1501,1500],[0,0,1,1],min([min(b_mode),min(b_mean),min(c_mode),min(c_mean),min(b_c_mode),min(b_c_mean)]));
colorbar('vert');
axis([-1600 1100 -800 1400])
set(gca,'XTickLabel',[]);
set(gca,'YTickLabel',[]);
title('mean')

subplot(3,3,7)
LOADsim_voll;
colormap(autumn)
for k=1:K
  s=1;
  while POL(s,2*k)~=0
    s=s+1;
  end
  fill(POL(1:s-1,2*k-1),POL(1:s-1,2*k),b_c_mode(k))
  hold on
end
fill([1500,1501,1501,1500],[0,0,-1,-1],max([max(b_mode),max(b_mean),max(c_mode),max(c_mean),max(b_c_mode),max(b_c_mean)]));
fill([1500,1501,1501,1500],[0,0,1,1],min([min(b_mode),min(b_mean),min(c_mode),min(c_mean),min(b_c_mode),min(b_c_mean)]));
colorbar('vert');
axis([-1600 1100 -800 1400])
set(gca,'XTickLabel',[]);
set(gca,'YTickLabel',[]);
title('mode')

subplot(3,3,8)
LOADsim_voll;
colormap(autumn)
for k=1:K
  s=1;
  while POL(s,2*k)~=0
    s=s+1;
  end
  fill(POL(1:s-1,2*k-1),POL(1:s-1,2*k),b_c_mean(k))
  hold on
end
fill([1500,1501,1501,1500],[0,0,-1,-1],max([max(b_mode),max(b_mean),max(c_mode),max(c_mean),max(b_c_mode),max(b_c_mean)]));
fill([1500,1501,1501,1500],[0,0,1,1],min([min(b_mode),min(b_mean),min(c_mode),min(c_mean),min(b_c_mode),min(b_c_mean)]));
colorbar('vert');
axis([-1600 1100 -800 1400])
set(gca,'XTickLabel',[]);
set(gca,'YTickLabel',[]);
title('mean')


subplot(3,3,3)
LOADsim_voll;
for k=1:K
  s=1;
  while POL(s,2*k)~=0
    s=s+1;
  end
  fill(POL(1:s-1,2*k-1),POL(1:s-1,2*k),[(b_quantile(k,2)>0) (b_quantile(k,2)<0 & b_quantile(k,4)>0) (b_quantile(k,4)<0)])
  hold on
end
axis([-1600 1100 -800 1400])
set(gca,'XTickLabel',[]);
set(gca,'YTickLabel',[]);
title({'red: 0 is below 90%-c.i.;blue: 0 is over 90%-c.i.;';'green: 0 is in 90%-c.i. (i.e. insignificance)'});

subplot(3,3,6)
LOADsim_voll;
for k=1:K
  s=1;
  while POL(s,2*k)~=0
    s=s+1;
  end
  fill(POL(1:s-1,2*k-1),POL(1:s-1,2*k),[(c_quantile(k,2)>0) (c_quantile(k,2)<0 & c_quantile(k,4)>0) (c_quantile(k,4)<0)])
  hold on
end
axis([-1600 1100 -800 1400])
set(gca,'XTickLabel',[]);
set(gca,'YTickLabel',[]);
title({'red: 0 is below 90%-c.i.;blue: 0 is over 90%-c.i.;';'green: 0 is in 90%-c.i. (i.e. insignificance)'});

subplot(3,3,9)
LOADsim_voll;
for k=1:K
  s=1;
  while POL(s,2*k)~=0
    s=s+1;
  end
  fill(POL(1:s-1,2*k-1),POL(1:s-1,2*k),[(b_c_quantile(k,2)>0) (b_c_quantile(k,2)<0 & b_c_quantile(k,4)>0) (b_c_quantile(k,4)<0)])
  hold on
end
axis([-1600 1100 -800 1400])
set(gca,'XTickLabel',[]);
set(gca,'YTickLabel',[]);
title({'red: 0 is below 90%-c.i.;blue: 0 is over 90%-c.i.;';'green: 0 is in 90%-c.i. (i.e. insignificance)'});


% end function




