
%% Es werden 250 Personen in Betracht genommen
%% Mnchen Innenstadt - Gitter
%% Liefert X,Y, Przissionsmatrix Q sowie PLZeffekt, zuflligen PERSeffekt

r=2+unidrnd(8,250,1);   %% # Wege pro Person, ~Uni({3,...,10})

Sum=0;
for i=1:250
  Sum=Sum+r(i);        %% # Wege insgesamt
end

rcum=r(1);
for k=2:250
  rcum=[rcum;rcum(k-1)+r(k)];   %% cumulierte # Wege pro Person
end

%% Designmatrix X mit size(X)= [Sum 5]
%% 1.Spalte = NNWeg; 2.Spalte = NNPerson; 3.Spalte = Geschlecht, ~Be(0.5);
%% 4.Spalte = PLZ, ~Uni({1,...,74}); 5.Spalte = Temperatur,'C, ~N(15,5^2)

npers=1;
geschl=binornd(1,0.5);
plz=unidrnd(74,1,1);

for k=1:Sum
  X(k,1)=k;
  if k<=rcum(npers)
    X(k,2)=npers;
    X(k,3)=geschl;
    X(k,4)=plz;
  else
    npers=npers+1;
    geschl=binornd(1,0.5);
    plz=unidrnd(74,1,1);
    X(k,2)=npers;
    X(k,3)=geschl;
    X(k,4)=plz;
  end
  X(k,5)=normrnd(15,5);
end




%%% N=load('NachbarnAnz');   %% N ist J-Vektor mit Werten = Anzahl der Nachbarn
G=load('N.tex');  %% G ist JxJ-Nachbarschaftmatrix (mit 0 oder 1 Werten)
tau=1;   %% Varianz-Koeffizient
phi=10;   %% Pettitts Koeffizient
psi=phi/(1+abs(phi));   %% der "neue" Pettitts Koeffizient
D=zeros(74);
for k=1:74
  D(k,k)=sum(G(k,:))-1;
end
Q=eye(74)+abs(psi)*D-psi*G;   %% Kovarianzmatrix in neuem Pettitts MZF
%%  for l=1:5
  PLZeffekt=mvnrnd(zeros(1,74),(tau^2)*(Q^(-1)),1);  %% J MZF-Werte fr PLZ-Effekt
%%  figure(l)
%%  colormap(autumn);
%%  for k=1:74
%%    s=1;
%%    while POL(s,2*k)~=0
%%    s=s+1;
%%    end
%%    fill(POL(1:s-1,2*k-1),POL(1:s-1,2*k),PLZeffekt(k));
%%    hold on
%%  end
%%  colorbar('vert');
%%end

sigma=0.3;  %% Std.Abweichung fr Personeffekt
PERSeffekt=normrnd(0,sigma,250,1);  %% 250 Zuf.Eff. Werte fr Personeffekt



alpha1=-2   %% Geschlechtsparameter
alpha2=0.1   %% Temperaturparameter

Theta=zeros(Sum,1);  %% Prediktorenvektor
for k=1:Sum
  Theta(k,1)=X(k,3)*alpha1 + X(k,5)*alpha2 + PLZeffekt(X(k,4)) + PERSeffekt(X(k,2));
end

p=exp(Theta)./(1+exp(Theta));  %% Wahrscheinlichkeitenvektor

Y=binornd(1,p);  %% Simulationen


%% Gesamte Wahrscheinlichkeiten ber PLZen
PLZweg=zeros(74,1);
PLZiv=zeros(74,1);
for k=1:Sum
  for i=1:74
    if X(k,4)==i
      PLZweg(i,1)=PLZweg(i,1)+1;
      PLZiv(i,1)=PLZiv(i,1)+Y(k);
      break
    end
  end
end
WAHRiv=PLZiv./PLZweg;

colormap(autumn);
for k=1:74
  s=1;
  while POL(s,2*k)~=0
    s=s+1;
  end
  fill(POL(1:s-1,2*k-1),POL(1:s-1,2*k),WAHRiv(k))
  hold on
end
colorbar('vert');
X(1:50,:)