function [alpha,accept_a,eta]=alpha_car(n,y,X,eta,alpha,prior_inv_var_a,proposal_sig_a)
% function [alpha,accept_a,eta]=alpha_car(n,y,X,eta,alpha,prior_inv_var_a,proposal_sig_a)
% individual update of fixed effects \alpha using normal independence proposal
% for spatial binary model with group cluster effects
% DOESN'T need improvement (now correctly a''_l|a''_1,..,a''_{l-1},a'_{l+1},..,a'_p insteed of a''_l|a'_1,..,a'_p )
% priors for alpha-components are normal iid with 0-mean and prior_inv_var_a^(-1)-variance
% n= number of trips
% eta = linear predictor(X*alpha + cluster effekt + spatial effect) (n vector)
% p=length of alpha vector
p=size(alpha,1); 
% updating alpha(l)
accept_a=zeros(p,1);
for l=1:p
  % generate proposal for alpha(l)
  alpha_star=normrnd(alpha(l),proposal_sig_a(l));
  temp1=0;
  temp2=0;
  for i=1:n
    if X(i,l+2)~=0
      temp1=temp1+(y(i)*X(i,l+2)*(alpha_star-alpha(l)));
      temp2=temp2+log((1+exp(eta(i)))/(1+exp(eta(i)+(X(i,l+2)*(alpha_star-alpha(l))))));
    end;       
  end;
  temp3=(prior_inv_var_a(l)/2)*(alpha_star-alpha(l))*(alpha_star+alpha(l));
  temp=temp1+temp2-temp3;
  lalpha=min(0,temp);
  if (lalpha>=0) | (log(rand(1)) < lalpha)
    eta=eta+X(:,l+2)*(alpha_star-alpha(l));
    alpha(l)=alpha_star;
    accept_a(l)=1;
  end;
end;  
% end of function alpha_car
