function [b,accept_b]=b_ind(n,y,X,eta,b,n_plz,n_mat,bei_bmean,inv_bvar,sig_b)
% function [b,accept_b]=b_ind(n,y,X,eta,b,n_plz,n_mat,bei_bmean,inv_bvar,sig_b)
% spatial effects update for spatial binary model with group cluster effects
% indidividual update

K=size(b,1);
accept_b=zeros(K,1);
for l=1:K
  % generate proposal for b(l)
  b_star=normrnd(b(l),sig_b(l));
  temp1=0;
  temp2=0;
  for i=1:n
    if X(i,1)==l
      temp1=temp1 + ((b_star-b(l))*y(i));
      temp2=temp2 + log((1+exp(eta(i)))/(1+exp(eta(i) + b_star - b(l))));
    end;
  end;
  % calculate neighborhood average for b(l)
  b_mean=0;
  for k=1:n_plz(l)
    b_mean=b_mean+b(n_mat(l,k));
  end;
  b_mean=bei_bmean(l)*b_mean;
  temp3=(inv_bvar(l)/2)*(b_star-b(l))*(b_star+b(l)-2*b_mean);
  temp=temp1+temp2-temp3;
  lalpha=min(0,temp);
  if (lalpha>=0) | (log(rand(1)) < lalpha)
    b(l)=b_star;
    accept_b(l)=1;
  end;
end;  
% end of function b_ind
