function [c,accept_c]=c_ind(n,y,X,eta,c,inv_cvar,sig_c)
% function [c,accept_c]=c_ind(n,y,X,eta,c,inv_cvar,sig_c)
% individual update of cluster effekts c using normal independence proposal
% for spatial binary model with group cluster effects
% priors for c-components are normal iid with 0-mean and inv_cvar^(-1)-variance
% n= number of trips
% eta = (dynamic) linear predictor (X*alpha + HHeffekt + PLZeffekt) (n vector)
% H=length of c vector

H=size(c,1);

% updating c(l)
accept_c=zeros(H,1);
for l=1:H
  % generate proposal for c(l)
  c_star=normrnd(c(l),sig_c(l));
  temp1=0;
  temp2=0;
  for i=1:n
    if X(i,2)==l
      temp1=temp1+(y(i)*(c_star-c(l)));
      temp2=temp2+log((1+exp(eta(i)))/(1+exp(eta(i)+c_star-c(l))));
    end;
  end;
  temp3=(inv_cvar/2)*(c_star-c(l))*(c_star+c(l));
  temp=temp1+temp2-temp3;
  lalpha=min(0,temp);
  if (lalpha>=0) | (log(rand(1)) < lalpha)
    c(l)=c_star;
    accept_c(l)=1;
  end;
end;  
% end function
