	subroutine mexFunction(nlhs, plhs, nrhs, prhs)
	integer plhs(*),prhs(*)
   	integer nlhs,nrhs
c
	integer mxGetM, mxGetN, mxGetPr, mxCreateFull, mxCalloc
        double precision mxGetScalar,b

        integer nx, mx
   	integer n,m,ismo,indtt
	integer x,tt,ttout
        integer f,bout
c
        if(nrhs .lt. 1 .or. nrhs .gt. 4) then
           call mexErrMsgTxt('1 to 4  input arguments required')
        else if (nlhs .lt. 2) then
           call mexErrMsgTxt('2 to 3 output arguments required')
        end if

c	x 	data
	
        x=mxGetPr(prhs(1))
        mx=mxGetM(prhs(1))
        nx=mxGetN(prhs(1))
        n=max(nx,mx)
       
        if(min(mx,nx).ne.1)
     .  call mexErrMsgTxt('wrong input format for data')
        if(n.lt.3)
     .   call mexErrMsgTxt('at least 3 data points are required')

c    	m	number of output points
        
        indtt=1
        if(nrhs.ge.2) then
          indtt=0
          m=mxGetScalar(prhs(2))
          if(m.le.0) 
     .  call mexErrMsgTxt('at least one point required for estimation')
        else 
          m=300
          indtt=1
        end if

c	tt	output grid

        if(nrhs.ge.3) then
          tt=mxGetPr(prhs(3))
          mt=mxGetM(prhs(3))
          nt=mxGetN(prhs(3))
          if(m.le.1) m=max(mt,nt)
          if(min(mt,nt).ne.1.or.max(mt,nt).ne.m) then 
            tt=mxCalloc(m,8)
            indtt=1
          end if
         else
           tt=mxCalloc(m,8)
           indtt=1         
         end if
         if(nlhs.ge.3) then
           plhs(3)=mxCreateFull(m,1,0)
           ttout=mxGetPr(plhs(3))                
         else
           ttout=mxCalloc(m,8)
         end if

c	b 	input bandwidth

        if(nrhs.eq.4) then
          ismo=1
          b=mxGetScalar(prhs(4))
          if(b.le.0.0) ismo=0
        else
          ismo=0
          b=0.0
        end if

        plhs(1)=mxCreateFull(1,1,0)
        bout =mxGetPr(plhs(1))
        
c	f	estimated density function

        plhs(2)=mxCreateFull(m,1,0)
        f=mxGetPr(plhs(2))


       call plugin(%Val(X),n,%VAL(TT),M,indtt,%VAL(TTOUT),
     .     %VAL(f),B,%VAL(BOUT),ismo)
c         
        return
        end

      SUBROUTINE PLUGIN(X,N,Z,M,indtt,ttout,F,H,hout,ismo)                      

C-----------------------------------------------------------------------
C       Version: 1995
C       fortran77 
C                                                                       
C       Purpose:                                                        
C                                                                       
C       Simple  Subroutine for kernel density estimation 
c       with iterative plug-in bandwidth selection
C       
C       This version only uses the Gauss kernel and estimates only
c       the density itself and not its derivatives.
C                                                                       
C  INPUT    X(N)   DOUBLE PRECISION   sorted data
C  INPUT    N      INTEGER            length of  X
C  INPUT    Z(M)   DOUBLE PRECISION   output grid (sorted)
C  INPUT    M      INTEGER            length of Z
C  OUTPUT   F(M)   DOUBLE PRECISION   estimated density
C  IN/OUTPUT  H    DOUBLE PRECISION   estimated iterative plugin bandwidth
C                                                                       
C                                                                       
C-----------------------------------------------------------------------

      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      DIMENSION X(N),Z(M),F(M),ttout(m)
      XN=DBLE(N)
      XIQR=X(NINT(.75*XN))-X(NINT(.25*XN)+1)	
      PI=3.141592645D0
      RT2PI = DSQRT(2.D0*PI)
      ITER=7
      if(indtt.eq.1) then
          z(1)=x(1)-xiqr*.1
          z(m)=x(n)+xiqr*.1
          do 10 j=2,m-1
10           z(j)=z(1)+dble(j-1)/dble(m-1)*(z(m)-z(1))
      end if
          do 11 j=1,m
11           ttout(j)=z(j)
       
      if(ismo.eq.1) goto 400
C-------  Estimate inflation constant C
          H2=(.920*XIQR)/(XN**(1.D0/7.D0))
          H3=(.912*XIQR)/(XN**(1.D0/9.D0))
          S2 = 0.D0
          S3 = 0.D0
          DO 20 I = 1, N-1
           DO 30 J = I+1, N
                     D2 = ((X(I) - X(J))/H2)**2
                     D3 = ((X(I) - X(J))/H3)**2
                     IF(D2.GT.50.AND.D3.GT.60) GOTO 20
                     E2 = DEXP(-0.5D0*D2)
                     E3 = DEXP(-0.5D0*D3)
                     S2 = S2 + (D2**2 - 6.D0*D2 + 3.D0)*E2
               S3 = S3 + (D3**3 - 15.D0*D3**2 + 45.D0*D3 - 15.D0)*E3
30          CONTINUE
20         CONTINUE
          RHAT2 = (2.D0*S2)/((XN**2)*(H2**5)*RT2PI)
          RHAT2 = RHAT2 + 3.D0/(RT2PI*XN*(H2**5))
          RHAT3 = (-2.D0*S3)/((XN**2)*(H3**7)*RT2PI)
          RHAT3 = RHAT3 + 15.D0/(RT2PI*XN*(H3**7))
          CO1 = 1.357D0*(RHAT2/RHAT3)**(1.D0/7.D0)
C-
C-------  Compute constant of asymptotic formula
C-
       CONST=1.D0/(2.D0*DSQRT(PI))
       A=1.132795764/RHAT3**(1.D0/7.D0)*XN**(-1.D0/2.D0)
C-
C------  Loop over iterations
C-
       DO 100 IT=1,ITER
C-                                                                     
C-------  Estimate functional
C
        S=0.D0                                                    
        DO 40 I = 1, N-1
           DO 50 J = I+1, N
                     D2 = ((X(I) - X(J))/A)**2
                     IF(D2.GT.50) GOTO 40
                     E2 = DEXP(-0.5D0*D2)
                     S = S + (D2**2 - 6.D0*D2 + 3.D0)*E2
50          CONTINUE
40       CONTINUE
        R2 = (2.D0*S)/((XN**2)*(A**5)*RT2PI)
        R2 = R2 + 3.D0/(RT2PI*XN*(A**5))
C-                                                                     
C-------  Estimate bandwidth by asymptotic formula
C-
         H=(CONST/(R2*XN))**(.2D0)                                    
         A=CO1*H**(5./7.)
100     CONTINUE
C-
C------- Estimate density with plugin bandwidth
C-             
400   JBEGIN=1
      hout=h
      JEND=1                                             
      DO 200 I=1,M                                                      
         S=0.D0    
         DO 210 J=JBEGIN,JEND
                T=(Z(I)-X(J))/H
                IF(T.GT.5.0.AND.JBEGIN.LT.N) THEN
                   JBEGIN=JBEGIN+1
                   GOTO 210
                END IF
                S=S+DEXP(-T*T/2.)
210             CONTINUE         
         DO 220 JEND=J,N
                T=(Z(I)-X(JEND))/H
                IF(T.LT.-5.0) GOTO 230
                S=S+DEXP(-T*T/2.)
220             CONTINUE
230         F(I)=S/(XN*H*RT2PI)
            JEND=JEND-1
C-                         
200      CONTINUE                                             
      RETURN                                                            
      END                                                               
