%  density function: estimation of density function nonparametrically
%
%  input 1-4 input arguments in the following order:
%
%  x	data
%
%  m    number of output points (default value 300)
%  tt   output grid 
%	if it is of range (1,1) only, it is set automatically
%
%  b    input bandwidth, if no data-adaptive bandwidth should be used
%
% !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
% ! Note that default values will be used without further warnings if !
% ! values and/or dimensions do not match with the assumptions.       !
% !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
%
%  output 2-3 output arguments:
%
%  b    bandwidth used by the kernel estimator
%  f    estimated density function
%
%  tt   output grid
%
%  Example: one simulation of a gaussian density
%  
%  x=randn(1,150);
%  x=sort(x);
%
%  
%  [h,f,tt]=density(x);
%  
%  plot(tt,f,'g')
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
