
function  [logit]=explor_kat(Y,Kov,Kat,Xaxe)
%function  [logit]=explor_kat(Y,Kov,Kat,Xaxe)
%Y - binres Responsenvektor eingeben
%z.B. Y=WTBwork(:,146)-3: 1 fr IV, 0 fr OEV, ohne NA(=-99)-Werte
%Kov - Kovariable eingeben
%Kat - Kategeorien eingeben
%Xaxe - x-label eingeben
%'0' ist Y-Referenzkategorie bei Plotting der Expl. Analyse

Nkat=max(size(Kat));      %% Zeige Anzahl von Kategorien

logit=[];var=[];upper=[];lower=[];

%% Erzeugen von Vektoren "KatOEV" bzw. "KatIV" von Lnge=Nkat
%% mit Werten=Anzahl OEV-Wege bzw. IV-Wege in jeder Kategorie

KatOEV=zeros(1,Nkat);
KatIV=zeros(1,Nkat);
for i=1:max(size(Y))
  for j=1:Nkat
    if Kov(i)==Kat(j)
      KatIV(j)=KatIV(j)+Y(i);
      KatOEV(j)=KatOEV(j)+(1-Y(i));
    end
  end
end

%% Bilden von empirischen Logits mit 90-% (bzw. 95-%) Vertrauensgrenzen

for j=1:Nkat
  logit(j)=log((KatIV(j)+0.5)/(KatOEV(j)+0.5));
  var(j)=(KatIV(j)+KatOEV(j)+1)/((KatIV(j)+0.5)*(KatOEV(j)+0.5));
  upper(j)=logit(j)+sqrt(var(j))*1.644854;  %%1.644854=qnorm(0.95);1.959964=qnorm(0.975)
  lower(j)=logit(j)-sqrt(var(j))*1.644854;
  if KatIV(j)==0
    disp(['Achtung: KatIV(',num2str(j),')=0'])
  end
  if KatOEV(j)==0
    disp(['Achtung: KatOEV(',num2str(j),')=0'])
  end
  if KatIV(j)==0 & KatOEV(j)==0
    plot(j,logit(j),'rx','MarkerSize',10)
  end
end
plot(1:Nkat,upper)
hold on
plot(1:Nkat,lower)
plot(1:Nkat,logit,'g--',1:Nkat,logit,'ro')
grid on
xlabel(Xaxe)
ylabel('empirisches Logit')
hold off

%end explor_kat.m