
function  [logit]=interak_kat_kat(Y,Kovx,Katx,Kovy,Katy,Xaxe,Yaxe)
%function  [logit]=interak_kat_kat(Y,Kovx,Katx,Kovy,Katy,Xaxe,Yaxe)
%Y - binres Responsenvektor eingeben
%z.B. Y=WTBwork(:,146)-3: 1 fr IV, 0 fr OEV, ohne NA(=-99)-Werte
%Kovx - Kovariable eingeben
%Katx - Kategeorien eingeben
%Xaxe - x-label eingeben
%'0' ist Y-Referenzkategorie bei Plotting der Expl. Analyse

Nkatx=max(size(Katx));      %% Zeige Anzahl von Kategorien
Nkaty=max(size(Katy));

logit=[];var=[];upper=[];lower=[];

%% Erzeugen von Vektoren "KatOEV" bzw. "KatIV" von Lnge=Nkat
%% mit Werten=Anzahl OEV-Wege bzw. IV-Wege in jeder Kategorie

KatOEV=zeros(Nkatx,Nkaty);
KatIV=zeros(Nkatx,Nkaty);
for i=1:max(size(Y))

  for k=1:Nkatx
    if Kovx(i)==Katx(k)
      for j=1:Nkaty
        if Kovy(i)==Katy(j)
          KatIV(k,j)=KatIV(k,j)+Y(i);
          KatOEV(k,j)=KatOEV(k,j)+(1-Y(i));
        end
      end
    end
  end

end
   
%% Bilden von empirischen Logits mit 90-% (bzw. 95-%) Vertrauensgrenzen

for j=1:Nkaty

  for k=1:Nkatx
    logit(k,j)=log((KatIV(k,j)+0.5)/(KatOEV(k,j)+0.5));
    var(k,j)=(KatIV(k,j)+KatOEV(k,j)+1)/((KatIV(k,j)+0.5)*(KatOEV(k,j)+0.5));
    upper(k,j)=logit(k,j)+sqrt(var(k,j))*1.644854;  %%1.644854=qnorm(0.95);1.959964=qnorm(0.975)
    lower(k,j)=logit(k,j)-sqrt(var(k,j))*1.644854;
  end

  plot(1:Nkatx,upper(:,j),'--bo')
  hold on
  plot(1:Nkatx,lower(:,j),'--bo')
  plot(1:Nkatx,logit(:,j),'-go','LineWidth',j)
  text([1:Nkatx]+0.05,1.05*logit(:,j),num2str(j))
  grid on

end

for k=1:Nkatx
  for j=1:Nkaty
    if KatIV(k,j)==0
      disp(['Achtung: KatIV(',num2str(k),',',num2str(j),')=0'])
    end
    if KatOEV(k,j)==0
      disp(['Achtung: KatOEV(',num2str(k),',',num2str(j),')=0'])
    end
    if KatIV(k,j)==0 & KatOEV(k,j)==0
      plot(k,logit(k,j),'rx','MarkerSize',15)
    end
  end
end
xlabel(Xaxe)
ylabel(['empirisches Logit:  ',Yaxe])
hold off
%end interak_kat_kat.m