function [z]=norm_trunc_neu(m,sd,a,b)

% function [z]=norm_trunc_neu(m,sd,a,b)
% generates (by rejection sampling) univariate normal random variable
% with mean m and std_err=sd truncated between a and b

mINVsd=m/sd;
if (m-a)/sd < -0.5
  lambda=(a-m)/(sd^2);
  z=-(1/lambda)*log(unifrnd(0,1))+a;
  while z>b | (z-a)^2/(sd^2)/2 > -log(unifrnd(0,1))
    z=-(1/lambda)*log(unifrnd(0,1))+a;
  end;
end;
if (m-a)/sd >= -0.5 & (m-b)/sd <= 0.5
  z=normrnd(m,sd);
  while z < a | z > b
    z=normrnd(m,sd);
  end;
end;
if  (m-b)/sd > 0.5
  lambda=(m-b)/(sd^2);
  z=(1/lambda)*log(unifrnd(0,1))+b;
  while z<a | (z-b)^2/(sd^2)/2 > -log(unifrnd(0,1))
    z=(1/lambda)*log(unifrnd(0,1))+b;
  end;
end; 


% end of function norm_trunc_neu	       

