function [out]=out_group(data,p_main,p_interac);

alpha_lab=data.data.alpha_lab;
out_a=data.out_a;
a_mode=data.a_mode;
a_mean=data.a_mean;
a_quantile=data.a_quantile;
R_rec=1000;
figure(1)
for i=1:p_main
  subplot(floor(sqrt(p_main))+(p_main>floor(sqrt(p_main))*(floor(sqrt(p_main))+1)),floor(sqrt(p_main))+(p_main>(floor(sqrt(p_main))^2)),i);
  x=sort(out_a(:,i));
  [h,f,tt]=density(x);
  [maxim,ind]=max(f);
  plot(tt,f,'b');
  hold on
  axis([tt(1) tt(max(size(tt))) 0 1.05*maxim])
  plot(a_mode(i)+zeros(1,100),linspace(0,maxim,100),'b');
  plot(a_quantile(i,2)+zeros(1,100),linspace(0,maxim,100),'g--');
  plot(a_quantile(i,4)+zeros(1,100),linspace(0,maxim,100),'g--');
  set(gca,'FontSize',6);
  if a_quantile(i,2)<0 & a_quantile(i,4)>0
    title(['\fontsize{6}',alpha_lab(i,:)]);
  else
    title(['\fontsize{6}',alpha_lab(i,:),'*']);
  end;
end;
figure(2)
for i=1:p_interac
  subplot(floor(sqrt(p_interac))+(p_interac>floor(sqrt(p_interac))*(floor(sqrt(p_interac))+1)),floor(sqrt(p_interac))+(p_interac>(floor(sqrt(p_interac))^2)),i);
  x=sort(out_a(:,i+p_main));
  [h,f,tt]=density(x);
  [maxim,ind]=max(f);
  plot(tt,f,'b');
  hold on
  axis([tt(1) tt(max(size(tt))) 0 1.05*maxim])
  plot(a_mode(i+p_main)+zeros(1,100),linspace(0,maxim,100),'b');
  plot(a_quantile(i+p_main,2)+zeros(1,100),linspace(0,maxim,100),'g--');
  plot(a_quantile(i+p_main,4)+zeros(1,100),linspace(0,maxim,100),'g--');
  set(gca,'FontSize',6);
  if a_quantile(i+p_main,2)<0 & a_quantile(i+p_main,4)>0
    title(['\fontsize{6}',alpha_lab(i+p_main,:)]);
  else
    title(['\fontsize{6}',alpha_lab(i+p_main,:),'*']);
  end;
end;

figure(3)
Munich_map(data);

[Y_cum,P,SUM,fit]=P_over_plz_group(data);

out.Y_cum=Y_cum;
out.P=P;
out.SUM=SUM;
out.fit=fit;

out_sqr_tau=data.out_sqr_tau;
out_psi=data.out_psi;
out_var_c=data.out_var_c;
sqr_tau_mode=data.sqr_tau_mode;
psi_mode=data.psi_mode;
var_c_mode=data.var_c_mode;
sqr_tau_quantile=data.sqr_tau_quantile;
psi_quantile=data.psi_quantile;
var_c_quantile=data.var_c_quantile;
figure(6)
subplot(1,3,1);
x=sort(out_sqr_tau);
[h,f,tt]=density(x);
[maxim,ind]=max(f);
plot(tt,f,'b');
hold on
plot(sqr_tau_mode+zeros(1,100),linspace(0,maxim,100),'b');
plot(sqr_tau_quantile(2)+zeros(1,100),linspace(0,maxim,100),'g--');
plot(sqr_tau_quantile(4)+zeros(1,100),linspace(0,maxim,100),'g--');
grid on
axis([0 sqr_tau_quantile(5) 0 1.05*maxim]);
title('posterior density of \tau^2');
subplot(1,3,2);
x=sort(out_psi);
[h,f,tt]=density(x);
[maxim,ind]=max(f);
plot(tt,f,'b');
hold on
axis([-1.2 1.2 0 1.05*maxim])
plot(psi_mode+zeros(1,100),linspace(0,maxim,100),'b');
plot(psi_quantile(2)+zeros(1,100),linspace(0,maxim,100),'g--');
plot(psi_quantile(4)+zeros(1,100),linspace(0,maxim,100),'g--');
grid on
title('posterior density of \psi = \phi / (1+|\phi|)');
subplot(1,3,3);
x=sort(out_var_c);
[h,f,tt]=density(x);
[maxim,ind]=max(f);
plot(tt,f,'b');
hold on
plot(var_c_mode+zeros(1,100),linspace(0,maxim,100),'b');
plot(var_c_quantile(2)+zeros(1,100),linspace(0,maxim,100),'g--');
plot(var_c_quantile(4)+zeros(1,100),linspace(0,maxim,100),'g--');
grid on
axis([0 var_c_quantile(5) 0 1.05*maxim]);
title('posterior density of \sigma^2_c');

M=data.data.M;
out_c=data.out_c;
c_mode=data.c_mode;
c_mean=data.c_mean;
c_quantile=data.c_quantile;
figure(7)
for i=1:M
  subplot(floor(sqrt(M))+(M>floor(sqrt(M))*(floor(sqrt(M))+1)),floor(sqrt(M))+(M>(floor(sqrt(M))^2)),i);
  x=sort(out_c(:,i));
  [h,f,tt]=density(x);
  [maxim,ind]=max(f);
  plot(tt,f,'b');
  hold on
  axis([tt(1) tt(max(size(tt))) 0 1.05*maxim])
  plot(c_mode(i)+zeros(1,100),linspace(0,maxim,100),'b');
  plot(c_quantile(i,2)+zeros(1,100),linspace(0,maxim,100),'g--');
  plot(c_quantile(i,4)+zeros(1,100),linspace(0,maxim,100),'g--');
  if c_quantile(i,2)<0 & c_quantile(i,4)>0
    title(['\fontsize{12} c_{',num2str(i),'}']);
  else
    title(['\fontsize{12} c_{',num2str(i),'}*']);
  end;
end;


%end function