function [out]=out_probit_indiv(data,p_main,p_interac);

alpha_lab=data.data.alpha_lab;
out_a=data.out_a;
a_mode=data.a_mode;
a_mean=data.a_mean;
a_quantile=data.a_quantile;
R_rec=1000;
figure(1)
for i=1:p_main
  subplot(floor(sqrt(p_main))+(p_main>floor(sqrt(p_main))*(floor(sqrt(p_main))+1)),floor(sqrt(p_main))+(p_main>(floor(sqrt(p_main))^2)),i);
  x=sort(out_a(:,i));
  [h,f,tt]=density(x);
  [maxim,ind]=max(f);
  plot(tt,f,'b');
  hold on
  axis([tt(1) tt(max(size(tt))) 0 1.05*maxim])
  plot(a_mode(i)+zeros(1,100),linspace(0,maxim,100),'b');
  plot(a_quantile(i,2)+zeros(1,100),linspace(0,maxim,100),'g--');
  plot(a_quantile(i,4)+zeros(1,100),linspace(0,maxim,100),'g--');
  set(gca,'FontSize',6);
  if a_quantile(i,2)<0 & a_quantile(i,4)>0
    title(['\fontsize{6}',alpha_lab(i,:)]);
  else
    title(['\fontsize{6}',alpha_lab(i,:),'*']);
  end;
end;
figure(2)
for i=1:p_interac
  subplot(floor(sqrt(p_interac))+(p_interac>floor(sqrt(p_interac))*(floor(sqrt(p_interac))+1)),floor(sqrt(p_interac))+(p_interac>(floor(sqrt(p_interac))^2)),i);
  x=sort(out_a(:,i+p_main));
  [h,f,tt]=density(x);
  [maxim,ind]=max(f);
  plot(tt,f,'b');
  hold on
  axis([tt(1) tt(max(size(tt))) 0 1.05*maxim])
  plot(a_mode(i+p_main)+zeros(1,100),linspace(0,maxim,100),'b');
  plot(a_quantile(i+p_main,2)+zeros(1,100),linspace(0,maxim,100),'g--');
  plot(a_quantile(i+p_main,4)+zeros(1,100),linspace(0,maxim,100),'g--');
  set(gca,'FontSize',6);
  if a_quantile(i+p_main,2)<0 & a_quantile(i+p_main,4)>0
    title(['\fontsize{6}',alpha_lab(i+p_main,:)]);
  else
    title(['\fontsize{6}',alpha_lab(i+p_main,:),'*']);
  end;
end;

figure(3)
Munich_map(data);

[Y_cum,P,SUM,fit]=P_over_plz_probit_indiv(data);

out.Y_cum=Y_cum;
out.P=P;
out.SUM=SUM;
out.fit=fit;

out_sqr_tau=data.out_sqr_tau;
out_psi=data.out_psi;
sqr_tau_mode=data.sqr_tau_mode;
psi_mode=data.psi_mode;
sqr_tau_quantile=data.sqr_tau_quantile;
psi_quantile=data.psi_quantile;
figure(6)
subplot(1,2,1);
x=sort(out_sqr_tau);
[h,f,tt]=density(x);
[maxim,ind]=max(f);
plot(tt,f,'b');
hold on
plot(sqr_tau_mode+zeros(1,100),linspace(0,maxim,100),'b');
plot(sqr_tau_quantile(2)+zeros(1,100),linspace(0,maxim,100),'g--');
plot(sqr_tau_quantile(4)+zeros(1,100),linspace(0,maxim,100),'g--');
grid on
axis([0 sqr_tau_quantile(5) 0 1.05*maxim]);
title('posterior density of \tau^2');
subplot(1,2,2);
x=sort(out_psi);
[h,f,tt]=density(x);
[maxim,ind]=max(f);
plot(tt,f,'b');
hold on
axis([-1.2 1.2 0 1.05*maxim])
plot(psi_mode+zeros(1,100),linspace(0,maxim,100),'b');
plot(psi_quantile(2)+zeros(1,100),linspace(0,maxim,100),'g--');
plot(psi_quantile(4)+zeros(1,100),linspace(0,maxim,100),'g--');
grid on
title('posterior density of \psi = \phi / (1+|\phi|)');


M=data.data.M;
out_sqr_sigma=data.out_sqr_sigma;
sqr_sigma_mode=data.sqr_sigma_mode;
sqr_sigma_mean=data.sqr_sigma_mean;
sqr_sigma_quantile=data.sqr_sigma_quantile;
figure(7)
for i=2:M
  subplot(floor(sqrt(M-1))+(M-1>floor(sqrt(M-1))*(floor(sqrt(M-1))+1)),floor(sqrt(M-1))+(M-1>(floor(sqrt(M-1))^2)),i-1);
  x=sort(out_sqr_sigma(:,i));
  [h,f,tt]=density(x);
  [maxim,ind]=max(f);
  plot(tt,f,'b');
  hold on
  axis([tt(1) tt(max(size(tt))) 0 1.05*maxim])
  plot(sqr_sigma_mode(i)+zeros(1,100),linspace(0,maxim,100),'b');
  plot(sqr_sigma_quantile(i,2)+zeros(1,100),linspace(0,maxim,100),'g--');
  plot(sqr_sigma_quantile(i,4)+zeros(1,100),linspace(0,maxim,100),'g--');
  if sqr_sigma_quantile(i,2)<1 & sqr_sigma_quantile(i,4)>1
    title(['\fontsize{6} \sigma^2_{',num2str(i),'}']);
  else
    title(['\fontsize{6} \sigma^2_{',num2str(i),'}  *']);
  end;
end;


%end function