function [psi,accept_psi]=psi_car3_both(K,psi,inv_sqr_tau,bKERNb,eigen_pos,eigen_neg,sig_psi,n_plz,n_mat,b)
% function [psi,accept_psi]=psi_car3_both(K,psi,inv_sqr_tau,bKERNb,eigen_pos,eigen_neg,sig_psi,n_plz,n_mat,b)
% psi update for CAR model
% eigen=eig(-KERN);
% \psi <> 0 (\psi \in [-1,1) )
% 05.06.03: verndert: term3 macht [psi] \propto (1-|x|)^0.5 -proper (=> [\phi]=\psi/(1-|\psi|) \propto 1/(1+|x|)^2.5 - proper)

%K=size(b,1);

accept_psi=0;

% generate proposal for psi

psi_star=normrnd(psi,sig_psi);
while psi_star>=1 | psi_star<=-1
  psi_star=normrnd(psi,sig_psi);
end;

if psi>=0 & psi_star>=0
  temp1=0;
  for i=1:K
    temp1=temp1 + log(1-psi_star*eigen_pos(i))-log(1-psi*eigen_pos(i));
  end;
  temp2=inv_sqr_tau*bKERNb*(psi_star-psi);
  temp3=log(1-psi_star)-log(1-psi);
  temp=(temp1-temp2)/2 + 0.5*temp3;
end;
if psi<=0 & psi_star<=0
  temp1=0;
  for i=1:K
    temp1=temp1 + log(1-psi_star*eigen_neg(i))-log(1-psi*eigen_neg(i));
  end;
  temp2=-inv_sqr_tau*bKERNb*(psi_star-psi);
  temp3=log(1+psi_star)-log(1+psi);
  temp=(temp1-temp2)/2 + 0.5*temp3;
end;
if psi>=0 & psi_star<=0
  temp1=0;
  for i=1:K
    temp1=temp1 + log(1-psi_star*eigen_neg(i))-log(1-psi*eigen_pos(i));
  end;
  bKERNb_star=0;
  for l=1:K
    b_nah_sum=0;
    for k=1:n_plz(l)
      b_nah_sum=b_nah_sum+b(n_mat(l,k));
    end;
    bKERNb_star=bKERNb_star+b(l)*(b(l)*(n_plz(l)-1)+b_nah_sum);
  end;
  temp2=inv_sqr_tau*(-bKERNb_star*psi_star-bKERNb*psi);
  temp3=log(1+psi_star)-log(1-psi);
  temp=(temp1-temp2)/2 + 0.5*temp3;
end;
if psi<=0 & psi_star>=0
  temp1=0;
  for i=1:K
    temp1=temp1 + log(1-psi_star*eigen_pos(i))-log(1-psi*eigen_neg(i));
  end;
  bKERNb_star=0;
  for l=1:K
    b_nah_sum=0;
    for k=1:n_plz(l)
      b_nah_sum=b_nah_sum+b(n_mat(l,k));
    end;
    bKERNb_star=bKERNb_star+b(l)*(b(l)*(n_plz(l)-1)-b_nah_sum);
  end;
  temp2=inv_sqr_tau*(bKERNb_star*psi_star+bKERNb*psi);
  temp3=log(1-psi_star)-log(1+psi);
  temp=(temp1-temp2)/2 + 0.5*temp3;
end;

lalpha=min(0,temp);
if log(rand(1)) < lalpha
  psi=psi_star;
  accept_psi=1;
end;  

% end function psi_car3_both
