function [psi,accept_psi]=psi_car_uni(K,psi,inv_sqr_tau,bKERNb,eigen)

% psi update for CAR model
% eigen=eig(-KERN);
% \psi >= 0 (\psi \in [0,1) )
% proposal ist Uniform(0,1)
% 28.10.02: neu: term3 (macht [\phi] \propto 1)
% 4.11.02: verndert: term3 macht [psi] \propto 1/(1-x) (=> [\phi] \propto 1/(1+x))
% 24.2.04: verndert: [\psi] \propto 1 - proper (<= [\phi]=\psi/(1-|\psi|) \propto 1/(1+x)^2 -proper)
%K=size(b,1);

accept_psi=0;

% generate proposal for psi

psi_star=unifrnd(0,1);
temp1=0;
for i=1:K
  temp1=temp1 + log(1-psi_star*eigen(i))-log(1-psi*eigen(i));
end;
temp2=inv_sqr_tau*bKERNb*(psi_star-psi);
%temp3=log(1-psi_star)-log(1-psi);
temp=(temp1-temp2)/2
%- temp3
;
lalpha=min(0,temp);
if log(rand(1)) < lalpha
  psi=psi_star;
  accept_psi=1;
end;  

% end function psi_car_uni




