function [psi,accept_psi]=psi_car_uni_both(K,psi,inv_sqr_tau,bKERNb,eigen_pos,eigen_neg,n_plz,n_mat,b)
% function [psi,accept_psi]=psi_car_uni_both(K,psi,inv_sqr_tau,bKERNb,eigen_pos,eigen_neg,n_plz,n_mat,b)
% psi update for CAR model
% eigen=eig(-KERN);
% \psi <> 0 (\psi \in [-1,1) )
% proposal ist Uniform(-1,1)
% 10.5.03: verndert: [\psi] \propto 1 - proper (<= [\phi]=\psi/(1-|\psi|) \propto 1/(1+|x|)^2 -proper)
%K=size(b,1);

accept_psi=0;

% generate proposal for psi

psi_star=unifrnd(-1,1);

if psi>=0 & psi_star>=0
  temp1=0;
  for i=1:K
    temp1=temp1 + log(1-psi_star*eigen_pos(i))-log(1-psi*eigen_pos(i));
  end;
  temp2=inv_sqr_tau*bKERNb*(psi_star-psi);

  temp=(temp1-temp2)/2;
end;
if psi<=0 & psi_star<=0
  temp1=0;
  for i=1:K
    temp1=temp1 + log(1-psi_star*eigen_neg(i))-log(1-psi*eigen_neg(i));
  end;
  temp2=-inv_sqr_tau*bKERNb*(psi_star-psi);

  temp=(temp1-temp2)/2 ;
end;
if psi>=0 & psi_star<=0
  temp1=0;
  for i=1:K
    temp1=temp1 + log(1-psi_star*eigen_neg(i))-log(1-psi*eigen_pos(i));
  end;
  bKERNb_star=0;
  for l=1:K
    b_nah_sum=0;
    for k=1:n_plz(l)
      b_nah_sum=b_nah_sum+b(n_mat(l,k));
    end;
    bKERNb_star=bKERNb_star+b(l)*(b(l)*(n_plz(l)-1)+b_nah_sum);
  end;
  temp2=inv_sqr_tau*(-bKERNb_star*psi_star-bKERNb*psi);

  temp=(temp1-temp2)/2;
end;
if psi<=0 & psi_star>=0
  temp1=0;
  for i=1:K
    temp1=temp1 + log(1-psi_star*eigen_pos(i))-log(1-psi*eigen_neg(i));
  end;
  bKERNb_star=0;
  for l=1:K
    b_nah_sum=0;
    for k=1:n_plz(l)
      b_nah_sum=b_nah_sum+b(n_mat(l,k));
    end;
    bKERNb_star=bKERNb_star+b(l)*(b(l)*(n_plz(l)-1)-b_nah_sum);
  end;
  temp2=inv_sqr_tau*(bKERNb_star*psi_star+bKERNb*psi);

  temp=(temp1-temp2)/2;
end;

lalpha=min(0,temp);
if log(rand(1)) < lalpha
  psi=psi_star;
  accept_psi=1;
end;  

% end function psi_car_uni_both




