function [sigma,accept_sigma,eta]=sigma_logit_neu(n,M,y,X,eta,sigma,inv_prior_var_sigma,proposal_sig_sigma)
% function [sigma,accept_sigma,eta]=sigma_logit_neu(n,M,y,X,eta,sigma,inv_prior_var_sigma,proposal_sig_sigma)
% for spatial binary logit model with individual cluster effects
% individual update  of cluster parameters \sigma using normal independence proposal

accept_sigma=zeros(M,1);
for m=2:M
  % generate proposal for sigma(m)
  sigma_star=normrnd(sigma(m),proposal_sig_sigma(m));
  while sigma_star<0.2
    sigma_star=normrnd(sigma(m),proposal_sig_sigma(m));
  end;

  ratio=sigma(m)/sigma_star;
  temp1=0;
  temp2=0;
  for i=1:n
    if X(i,2)==m
      temp1=temp1 + y(i)*eta(i)*(ratio-1);
      temp2=temp2 + log((1+exp(eta(i)))/(1+exp(eta(i)*ratio)));
    end;
  end;
  temp3=(inv_prior_var_sigma/2)*(sigma_star-sigma(m))*(sigma_star+sigma(m)-2);
  temp=temp1+temp2-temp3;
  lalpha=min(0,temp);
  if (lalpha>=0) | (log(rand(1)) < lalpha)
    eta(X(:,2)==m) = eta(X(:,2)==m)*ratio;
    sigma(m)=sigma_star;
    accept_sigma(m)=1;
  end;
end;  
% end of function sigma_logit_neu
