function TAB=table(data,model)

%% Bildet Matrix TAB mit mean, mode, median, CI fr Hyperparameter
%% string MODEL kann sein 'logit_simple', 'logit_group ', 'logit_indiv ' und 'probit      '

TAB(1,:)=[data.psi_mode, data.psi_mean, data.psi_quantile(3), data.psi_quantile(2), data.psi_quantile(4)];
TAB(2,:)=[data.sqr_tau_mode, data.sqr_tau_mean, data.sqr_tau_quantile(3), data.sqr_tau_quantile(2), data.sqr_tau_quantile(4)];

if model=='logit_group '
  TAB(3,:)=[data.var_c_mode, data.var_c_mean, data.var_c_quantile(3), data.var_c_quantile(2), data.var_c_quantile(4)];
end;
if model=='logit_indiv '
  for i=2:data.data.M
    TAB(1+i,:)=[data.sigma_mode(i), data.sigma_mean(i), data.sigma_quantile(i,3), data.sigma_quantile(i,2), data.sigma_quantile(i,4)];
  end;
end;
if model=='probit      '
  for i=2:data.data.M
    TAB(1+i,:)=[data.sqr_sigma_mode(i), data.sqr_sigma_mean(i), data.sqr_sigma_quantile(i,3), data.sqr_sigma_quantile(i,2), data.sqr_sigma_quantile(i,4)];
  end;
end;
for i=1:5
  for j=1:size(TAB,1)
    TAB(j,i)=round(TAB(j,i)*1000)/1000;
  end;
end;

%end function
