function [out]=vergleich(sim)
%function [out]=vergleich(sim)
%for spatial binary model with group cluster effects
%makes table-comparison with true parameter values

a=sim.data.alpha;
b=sim.data.b;
c=sim.data.c;
sqr_tau=sim.data.sqr_tau;
psi=sim.data.phi/(1+sim.data.phi);
var_c=sim.data.var_c;

a_estim=sim.a_mode;
b_estim=sim.b_mode;
c_estim=sim.c_mode;
sqr_tau_estim=sim.sqr_tau_mode;
psi_estim=sim.psi_mode;
var_c_estim=sim.var_c_mode;

a_quantile=sim.a_quantile;
b_quantile=sim.b_quantile;
c_quantile=sim.c_quantile;
sqr_tau_quantile=sim.sqr_tau_quantile;
psi_quantile=sim.psi_quantile;
var_c_quantile=sim.var_c_quantile;

p=size(a,1);
J=size(b,1);
M=size(c,1);

out=zeros(p+M+8,6);

out(1:p,1)=a;
out(1:p,2)=a_quantile(:,2);
out(1:p,3)=a_estim;
out(1:p,4)=a_quantile(:,4);
out(1:p,5)=a-a_estim;
out(1:p,6)=abs((a-a_estim)./a); 
out(p+1,1)=norm(a);               
out(p+1,3)=norm(a_estim);         
out(p+1,5)=norm(a-a_estim);
out(p+1,6)=norm(a-a_estim)/norm(a);

%out(p+3:p+J+2,1)=b;
%out(p+3:p+J+2,2)=b_quantile(:,2);
%out(p+3:p+J+2,3)=b_estim;
%out(p+3:p+J+2,4)=b_quantile(:,4);
%out(p+3:p+J+2,5)=b-b_estim;
%out(p+3:p+J+2,6)=abs((b-b_estim)./b); 
out(p+3,1)=norm(b);               
out(p+3,3)=norm(b_estim);         
out(p+3,5)=norm(b-b_estim);
out(p+3,6)=norm(b-b_estim)/norm(b);

out(p+5:p+M+4,1)=c;
out(p+5:p+M+4,2)=c_quantile(:,2);
out(p+5:p+M+4,3)=c_estim;
out(p+5:p+M+4,4)=c_quantile(:,4);
out(p+5:p+M+4,5)=c-c_estim;
out(p+5:p+M+4,6)=abs((c-c_estim)./c); 
out(p+M+5,1)=norm(c);               
out(p+M+5,3)=norm(c_estim);         
out(p+M+5,5)=norm(c-c_estim);
out(p+M+5,6)=norm(c-c_estim)/norm(c);

out(p+M+7,1)=sqr_tau;
out(p+M+7,2)=sqr_tau_quantile(:,2);
out(p+M+7,3)=sqr_tau_estim;
out(p+M+7,4)=sqr_tau_quantile(:,4);
out(p+M+7,5)=sqr_tau-sqr_tau_estim;
out(p+M+7,6)=abs((sqr_tau-sqr_tau_estim)./(sqr_tau)); 

out(p+M+8,1)=psi;
out(p+M+8,2)=psi_quantile(:,2);
out(p+M+8,3)=psi_estim;
out(p+M+8,4)=psi_quantile(:,4);
out(p+M+8,5)=psi-psi_estim;
out(p+M+8,6)=abs((psi-psi_estim)./psi); 

out(p+M+9,1)=var_c;
out(p+M+9,2)=var_c_quantile(:,2);
out(p+M+9,3)=var_c_estim;
out(p+M+9,4)=var_c_quantile(:,4);
out(p+M+9,5)=var_c-var_c_estim;
out(p+M+9,6)=abs((var_c-var_c_estim)./var_c); 
