function [out]=vergleich_neu(sim)
%function [out]=vergleich_neu(sim)
%for spatial logit binary model with individual cluster effects
%makes table-comparison with true parameter values

M=size(sim.data.sigma,1)-1;
a=sim.data.alpha;
b=sim.data.b;
sigma=sim.data.sigma(2:M+1);
sqr_tau=sim.data.sqr_tau;
psi=sim.data.phi/(1+sim.data.phi);

a_estim=sim.a_mode;
b_estim=sim.b_mode;
sigma_estim=sim.sigma_mode(2:M+1);
sqr_tau_estim=sim.sqr_tau_mode;
psi_estim=sim.psi_mode;

a_quantile=sim.a_quantile;
b_quantile=sim.b_quantile;
sigma_quantile=sim.sigma_quantile(2:M+1,:);
sqr_tau_quantile=sim.sqr_tau_quantile;
psi_quantile=sim.psi_quantile;

p=size(a,1);
J=size(b,1);

out=zeros(p+M+8,6);

out(1:p,1)=a;
out(1:p,2)=a_quantile(:,2);
out(1:p,3)=a_estim;
out(1:p,4)=a_quantile(:,4);
out(1:p,5)=a-a_estim;
out(1:p,6)=abs((a-a_estim)./a); 
out(p+1,1)=norm(a);               
out(p+1,3)=norm(a_estim);         
out(p+1,5)=norm(a-a_estim);
out(p+1,6)=norm(a-a_estim)/norm(a);

%out(p+3:p+J+2,1)=b;
%out(p+3:p+J+2,2)=b_quantile(:,2);
%out(p+3:p+J+2,3)=b_estim;
%out(p+3:p+J+2,4)=b_quantile(:,4);
%out(p+3:p+J+2,5)=b-b_estim;
%out(p+3:p+J+2,6)=abs((b-b_estim)./b); 
out(p+3,1)=norm(b);               
out(p+3,3)=norm(b_estim);         
out(p+3,5)=norm(b-b_estim);
out(p+3,6)=norm(b-b_estim)/norm(b);

out(p+5:p+M+4,1)=sigma;
out(p+5:p+M+4,2)=sigma_quantile(:,2);
out(p+5:p+M+4,3)=sigma_estim;
out(p+5:p+M+4,4)=sigma_quantile(:,4);
out(p+5:p+M+4,5)=sigma-sigma_estim;
out(p+5:p+M+4,6)=abs((sigma-sigma_estim)./sigma); 
out(p+M+5,1)=norm(sigma);               
out(p+M+5,3)=norm(sigma_estim);         
out(p+M+5,5)=norm(sigma-sigma_estim);
out(p+M+5,6)=norm(sigma-sigma_estim)/norm(sigma);

out(p+M+7,1)=sqr_tau;
out(p+M+7,2)=sqr_tau_quantile(:,2);
out(p+M+7,3)=sqr_tau_estim;
out(p+M+7,4)=sqr_tau_quantile(:,4);
out(p+M+7,5)=sqr_tau-sqr_tau_estim;
out(p+M+7,6)=abs((sqr_tau-sqr_tau_estim)./(sqr_tau)); 

out(p+M+8,1)=psi;
out(p+M+8,2)=psi_quantile(:,2);
out(p+M+8,3)=psi_estim;
out(p+M+8,4)=psi_quantile(:,4);
out(p+M+8,5)=psi-psi_estim;
out(p+M+8,6)=abs((psi-psi_estim)./psi); 
